<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/css?family=Poppins:100,200,300" rel="stylesheet" />
    <link rel="stylesheet" href="static/css/style_2.css">
    <script src="/static/js/dashboard_pharmacy.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.9.0/chart.min.js"></script>
    <title>Panel de Panel de Farmacia</title>
</head>

<body>
    <main>
    
        <div class="loading-message">Procesando los Datos.....</div>


        <h1>CAPS Humberto D'Angelo - FARMACIA</h1>
        <p>Visualización de estadísticas globales</p>
        
        <hr>
        <div class="filter">
        <label for="fecha1">Desde (>=):</label>
        <input type="date" id="fecha1" name="fecha1">
        <label for="fecha2">Hasta (<=):</label>
        <input type="date" id="fecha2" name="fecha2">
        <select id="ProductSelect">
            <option value=""> Todos los Productos </option>
        </select>
        <button onclick="Update()" type="submit">Aplicar filtro</button>
        </div>
        <hr>
        <section class="cols-1">
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Entregas según Grupos Etarios y Sexo</h3>
                <div id="canva1">
                    <canvas id="MovementByAgeGroupsBySex"></canvas>
                </div>
            </figure>
        </section>
        
        <section class="cols-1">
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Recetas por Grupos Etarios y Sexo</h3>
                <div id="canva2">
                    <canvas id="PrescriptionsByAgeGroupsBySex"></canvas>
                </div>
            </figure>
        </section>
        
        <section class="cols-3">
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Entregas según sexo del Paciente</h3>
                <div id="canva3">
                    <canvas id="MovementsBySex"></canvas>
                </div>
            </figure>

            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Entregas según posea Obra Social</h3>
                <div id="canva4">
                    <canvas id="MovementsByInsurance"></canvas>
                </div>
            </figure>
            
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Entregas según ECNT</h3>
                <div id="canva5">
                    <canvas id="MovementsByChronic"></canvas>
                </div>
            </figure>
        </section>
             
        <section class="cols-1">
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Entregas por Medicamentos</h3>
                <div id="canva6">
                    <canvas id="DeliveredQuantity"></canvas>
                </div>
            </figure>
        </section>
        
        <section class="cols-4">
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Recetas totales Atendidas</h3>
                <h1 id="prescriptions_attended"> - </h1>
            </figure>
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Recetas del período Atendidas</h3>
                <h1 id="period_prescriptions_attended"> - </h1>
            </figure>
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Entregas Totales</h3>
                <h1 id="total_moves"> - </h1>
            </figure>
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Entregas promedio por Día</h3>
                <h1 id="average_deliveries"> - </h1>
            </figure>
        </section>
        
        <section class="cols-2">
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Entregas según el Día</h3>
                <div id="canva7">
                    <canvas id="MovementsByDays"></canvas>
                </div>
            </figure>
            <figure>
                <p class="selected_period">Últimos 15 días</p>
                <h3>Entregas según la Hora</h3>
                <div id="canva8">
                    <canvas id="MovementsByHours"></canvas>
                </div>
            </figure>            
        </section>

    </main>
    
    <footer class="footer"> 
        <p>Desarrollado por el GESPyTA de la FI-UNER para uso en GNUHealth - v1.0 (2023) - copyleft<p>
        <a href="http://ingenieria.uner.edu.ar/grupos/salud_publica/" target="_blank" class="a">¿Quienes somos?</a>
        <a href="https://gitlab.com/gnuhealth_fiuner" target="_blank" class="a">Nuestro Repositorio</a>
        <a href="mailto=saludpublica@ingenieria.uner.edu.ar" target="_blank" class="a">Contacto</a>
    </footer>

   
<script >

 var data_1 = JSON.parse('{{ data | tojson}}');
            
ProductSelect(data_1);
MovementByAgeGroupsBySex(data_1, 'MovementByAgeGroupsBySex');
PrescriptionsByAgeGroupsBySex(data_1, 'PrescriptionsByAgeGroupsBySex');
MovementsBySex(data_1, 'MovementsBySex');
MovementsByInsurance(data_1, 'MovementsByInsurance');
MovementsByChronic(data_1, 'MovementsByChronic');
DeliveredQuantity(data_1,'DeliveredQuantity');
MovementsByHours(data_1,'MovementsByHours');
MovementsByDays(data_1,'MovementsByDays');
PrescriptionsAttended(data_1);
PeriodPrescriptionsAttended(data_1);
TotalMoves(data_1);
AverageDailyDeliveries(data_1);


</script>

</body>


</html>
